wm title . "Mp1e"

set vbr 0
label .l_vbr	-text "Video bit rate: "
label .v_vbr	-text "0.00" -width 5 -anchor e
label .u_vbr	-text "Mbit/s"
label .v2_vbr	-textvariable vbr -width 5 -anchor e
label .u2_vbr	-text "Mbit/s"
scale .s_vbr	-variable vbr -command set_video_bit_rate -length 300 -orient horizontal -resolution 0.01 -from 0.01 -to 8 -showvalue no
button .b_vbr	-text "Reset" -command {set vbr 2.0}

set fdr 0
label .l_fdr	-text "Force drop rate: "
label .v2_fdr	-textvariable fdr -width 3 -anchor e
label .u2_fdr	-text "%"
scale .s_fdr -variable fdr -command set_force_drop_rate -length 300 -orient horizontal -from 0 -to 100 -showvalue no
button .b_fdr	-text "Reset" -command {set fdr 0}

set b1 0
label .l_b1	-text "P inter bias: "
label .v2_b1	-textvariable b1 -width 6 -anchor e
label .u2_b1	-text ""
scale .s_b1 -variable b1 -command set_p_inter_bias -length 300 -orient horizontal -from 0 -to 256 -showvalue no
button .b_b1	-text "Reset" -command {set b1 48}

set b2 0
label .l_b2	-text "B inter bias: "
label .v2_b2	-textvariable b2 -width 6 -anchor e
label .u2_b2	-text ""
scale .s_b2 -variable b2 -command set_b_inter_bias -length 300 -orient horizontal -from 0 -to 256 -showvalue no
button .b_b2	-text "Reset" -command {set b2 96}

set fr 0
label .l_fr	-text "Frame rate: "
label .v2_fr	-textvariable fr -width 6 -anchor e
label .u2_fr	-text ""
scale .s_fr -variable fr -command set_frame_rate -length 300 -orient horizontal -resolution 0.1 -from 1 -to 25 -showvalue no
button .b_fr	-text "Reset" -command {set fr 25}

set qm 31
label .l_qm	-text "Quantization limit: "
label .v2_qm	-textvariable qm -width 6 -anchor e
label .u2_qm	-text ""
scale .s_qm -variable qm -command set_quant_max -length 300 -orient horizontal -from 1 -to 31 -showvalue no
button .b_qm	-text "Reset" -command {set qm 31}

grid config .l_vbr	-column 0 -row 0 -sticky "e"
grid config .v_vbr	-column 1 -row 0 -sticky "e"
grid config .u_vbr	-column 2 -row 0 -sticky "e"
grid config .v2_vbr	-column 3 -row 0 -sticky "e"
grid config .u2_vbr	-column 4 -row 0 -sticky "e"
grid config .s_vbr	-column 5 -row 0 -sticky "e"
grid config .b_vbr	-column 6 -row 0 -sticky "e"

grid config .l_fdr	-column 0 -row 1 -sticky "e"
grid config .v2_fdr	-column 3 -row 1 -sticky "e"
grid config .u2_fdr	-column 4 -row 1 -sticky "e"
grid config .s_fdr	-column 5 -row 1 -sticky "e"
grid config .b_fdr	-column 6 -row 1 -sticky "e"

grid config .l_b1	-column 0 -row 2 -sticky "e"
grid config .v2_b1	-column 3 -row 2 -sticky "e"
grid config .u2_b1	-column 4 -row 2 -sticky "e"
grid config .s_b1	-column 5 -row 2 -sticky "e"
grid config .b_b1	-column 6 -row 2 -sticky "e"

grid config .l_b2	-column 0 -row 3 -sticky "e"
grid config .v2_b2	-column 3 -row 3 -sticky "e"
grid config .u2_b2	-column 4 -row 3 -sticky "e"
grid config .s_b2	-column 5 -row 3 -sticky "e"
grid config .b_b2	-column 6 -row 3 -sticky "e"

grid config .l_fr	-column 0 -row 4 -sticky "e"
grid config .v2_fr	-column 3 -row 4 -sticky "e"
grid config .u2_fr	-column 4 -row 4 -sticky "e"
grid config .s_fr	-column 5 -row 4 -sticky "e"
grid config .b_fr	-column 6 -row 4 -sticky "e"

grid config .l_qm	-column 0 -row 5 -sticky "e"
grid config .v2_qm	-column 3 -row 5 -sticky "e"
grid config .u2_qm	-column 4 -row 5 -sticky "e"
grid config .s_qm	-column 5 -row 5 -sticky "e"
grid config .b_qm	-column 6 -row 5 -sticky "e"

grid columnconfigure . 1 -weight 1
