/*
 *  MPEG-1 Real Time Encoder
 *
 *  Copyright (C) 2000 Michael H. Schimek
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* $Id: tkme.h,v 1.1 2000/06/06 08:09:30 michael Exp $ */

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <tcl8.0.h>
#include <tk8.0.h>

extern Tcl_Interp *		my_interp;

extern int			video_bit_rate;
extern double			frame_rate;

extern void			evals(Tcl_Interp *interp, char *template, ...);
extern int			set_video_bit_rate(ClientData clientdata, Tcl_Interp *interp, int argc, char *argv[]);
extern int			set_force_drop_rate(ClientData clientdata, Tcl_Interp *interp, int argc, char *argv[]);
extern int			set_inter_bias(ClientData clientdata, Tcl_Interp *interp, int argc, char *argv[]);
extern int			set_frame_rate(ClientData clientdata, Tcl_Interp *interp, int argc, char *argv[]);
extern void			status_update(ClientData clientdata);
